关闭

ubuntu 搭建 Ruby环境

标签: ubunturuby开发语言终端
760人阅读 评论(0) 收藏 举报
分类:

我是出于好奇,道听途说Ruby是一个比较为开发者考虑的语言。

所以想要试试,但并不打算深入研究,毕竟有了JAVA已经很好了,对于开发语言学习,不在于多,而是精。

我也是慢慢才发现的,虽然在专业之外学习了很多(如,hadoop,mahout,oracle,qt等等),但只是说懂而已,并不能讲是精通,那么对于开开发来讲,就要不停查资料,不能断网,这一点很难过。

那么,多了解也是没有坏处滴,所以,我仍然保持多学习的态度。

Ruby是出于为开发者考虑的语言,不让开发者不停考虑机器是不是可以接受,而是全身心焦点于业务逻辑,所以,我决定好好“学习”一下。

还是一样,我的操作系统是ubuntu,所以此处配置的是在ubuntu终端上。我的是ubuntu13.04

首先:

sudo apt-get install ruby  

sudo apt-get install ruby1.9.1-full
由于最高版本的-full只有1.9.1,所以选择这个版本。

可以在终端Tab一下,如果有更高版本的-full包,也可以直接安装。

好了,到此完全安装完成!

出门,左转,不送,谢谢!


这里是安装自定义版本,

然后,安装依赖包:

sudo apt-get update 
sudo apt-get install -y build-essential openssl curl libcurl3-dev libreadline6 libreadline6-dev git zlib1g zlib1g-dev libssl-dev libyaml-dev libxml2-dev libxslt-dev autoconf automake libtool imagemagick libmagickwand-dev libpcre3-dev libsqlite3-dev libmysql-ruby libmysqlclient-dev 

安装这些包是没有问题的,如果在此出现问题,那么根据错误提示输入相应命令即可解决。

安装RVM,我也是第一次安装Ruby,所以现在解释不了它是用来做什么的

curl -L https://get.rvm.io | bash -s stable  
在~(home)目录下

source .rvm/scripts/rvm  
好了,查看rvm版本

rvm -v
安装Ruby,
rvm autolibs enable 
rvm pkg install readline 
rvm install 2.0.0 --with-readline-dir=$rvm_path/usr  
最后一步可能会提示您安装2.00版本,那么,按照命令安装吧,不会有问题的。还有,这里您设置什么版本就会提示您安装什么版本,按照最新的来吧。

设定默认版本:

rvm 2.0.0 --default  

查看版本号:

ruby -v
gem -v

OK!











0
0

查看评论
* 以上用户言论只代表其个人观点,不代表CSDN网站的观点或立场
    个人资料
    • 访问:149924次
    • 积分:2222
    • 等级:
    • 排名:第17559名
    • 原创:74篇
    • 转载:17篇
    • 译文:1篇
    • 评论:13条